Skip to content
Start here

List deployed Workflow versions

workflows.versions.list(strworkflow_name, VersionListParams**kwargs) -> SyncV4PagePaginationArray[VersionListResponse]
GET/accounts/{account_id}/workflows/{workflow_name}/versions

Lists all deployed versions of a workflow.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Tail ReadWorkers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
account_id: str
workflow_name: str
maxLength64
minLength1
page: Optional[float]
minimum1
per_page: Optional[float]
maximum100
minimum1
ReturnsExpand Collapse
class VersionListResponse:
id: str
formatuuid
class_name: str
created_on: datetime
formatdate-time
has_dag: bool
modified_on: datetime
formatdate-time
workflow_id: str
formatuuid
limits: Optional[Limits]
steps: Optional[int]
minimum1

List deployed Workflow versions

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.workflows.versions.list(
    workflow_name="x",
    account_id="account_id",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "class_name": "class_name",
      "created_on": "2019-12-27T18:11:19.117Z",
      "has_dag": true,
      "modified_on": "2019-12-27T18:11:19.117Z",
      "workflow_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "limits": {
        "steps": 1
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "class_name": "class_name",
      "created_on": "2019-12-27T18:11:19.117Z",
      "has_dag": true,
      "modified_on": "2019-12-27T18:11:19.117Z",
      "workflow_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "limits": {
        "steps": 1
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}